hi everyone,

i installed ruby-gtk2 on my laptop running FreeBSD-4.8-RELEASE 
yesterday, but it won't work:

nachtalp@thanatos:~$ irb
irb(main):001:0> require 'gtk2'
/usr/libexec/ld-elf.so.1: /usr/local/lib/libgthread-2.0.so.200: \
Undefined symbol "pthread_getschedparam"

does anyone have suggestions or a solution to this problem? Probably 
it's a little too  OS-specific for this list, but i figured maybe
somebody here had a similar or even the very same problem.

regards,

-Maxi Karasz